Bug 765075 - (GLUSTER-3343) [3.1.6qa4 -- c5a927ef1adfd51445946eb921728e2d72f1b6ca] Can't start glusterfsd process
[3.1.6qa4 -- c5a927ef1adfd51445946eb921728e2d72f1b6ca] Can't start glusterfsd...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-05 07:53 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Avati 2011-08-05 05:30:25 EDT
CHANGE: http://review.gluster.com/181 (Change-Id: I5c0fbf3252abcae16d5c4e6ea500c9a9ce3a4090) merged in release-3.1 by Vijay Bellur (vijay@gluster.com)
Comment 1 M S Vishwanath Bhat 2011-08-05 07:53:21 EDT
After creating the gluster volume can't start the glusterfsd process. Volume start command succeeds but can't glusterfsd process won't start.

I see the following log in the brick log.

[2011-08-05 04:50:27.379888] W [graph.c:274:gf_add_cmdline_options] 0-ptop-server: adding option 'listen-port' for volume 'ptop-server' with value '24009'
[2011-08-05 04:50:27.379963] E [server.c:374:validate_auth_options] 0-ptop-server: volume '/tmp/brickx' defined as subvolume, but no authentication defined for the same
[2011-08-05 04:50:27.379985] E [xlator.c:843:xlator_init] 0-ptop-server: Initialization of volume 'ptop-server' failed, review your volfile again
[2011-08-05 04:50:27.380005] E [graph.c:331:glusterfs_graph_init] 0-ptop-server: initializing translator failed
[2011-08-05 04:50:27.380145] I [glusterfsd.c:712:cleanup_and_exit] 0-glusterfsd: shutting down


the volfile is generated without the option 'auth.allow'

volume ptop-server
    type protocol/server
    option transport-type tcp
    subvolumes /tmp/brickx
end-volume
Comment 2 M S Vishwanath Bhat 2011-08-06 02:58:39 EDT
with 3.1.6qa5 this issue is fixed. After running volume start command glusterfsd processes are started, Also the server volfile is generated with 'auth allow' option.

volume hosdu-server
    type protocol/server
    option transport-type tcp
    option auth.addr./dr0.allow *
    subvolumes /dr0
end-volume

Note You need to log in before you can comment on or make changes to this bug.